summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Conrad Tilstra <michael@gentoo.org>2001-04-23 04:30:33 +0000
committerMichael Conrad Tilstra <michael@gentoo.org>2001-04-23 04:30:33 +0000
commit2c845f1317ffd2bda170e2e864a65f875dd4f8c4 (patch)
tree17430a30e352c72bc14441cae21a03e36b324b79 /app-text/dictd/files
parentAdded ncurses support (diff)
downloadgentoo-2-2c845f1317ffd2bda170e2e864a65f875dd4f8c4.tar.gz
gentoo-2-2c845f1317ffd2bda170e2e864a65f875dd4f8c4.tar.bz2
gentoo-2-2c845f1317ffd2bda170e2e864a65f875dd4f8c4.zip
- whe! my first portage commit. This is the dictd client/server program.
No dictionaries are install with this, but it should go and contact an external server by default. So you can use `dict'. I'll get ebuild[s] up for some dictionaries later.
Diffstat (limited to 'app-text/dictd/files')
-rw-r--r--app-text/dictd/files/dict.conf6
-rwxr-xr-xapp-text/dictd/files/dictd-run3
-rw-r--r--app-text/dictd/files/dictd.conf14
-rw-r--r--app-text/dictd/files/digest-dictd-1.5.51
-rw-r--r--app-text/dictd/files/site.info6
-rwxr-xr-xapp-text/dictd/files/svc-dictd41
6 files changed, 71 insertions, 0 deletions
diff --git a/app-text/dictd/files/dict.conf b/app-text/dictd/files/dict.conf
new file mode 100644
index 000000000000..e06c3d296ec3
--- /dev/null
+++ b/app-text/dictd/files/dict.conf
@@ -0,0 +1,6 @@
+# This is the configuration file for dict.
+# Usually all you will ever need here is the server keywords.
+# Refer to the dict manpage for other options.
+# It will only check the second server if the first fails
+server localhost
+server dict.org
diff --git a/app-text/dictd/files/dictd-run b/app-text/dictd/files/dictd-run
new file mode 100755
index 000000000000..949d9712994c
--- /dev/null
+++ b/app-text/dictd/files/dictd-run
@@ -0,0 +1,3 @@
+#!/bin/sh
+# We abuse some debugging features here to get the desired behavior
+exec dictd -d nodetach < /dev/null > /dev/null 2>&1
diff --git a/app-text/dictd/files/dictd.conf b/app-text/dictd/files/dictd.conf
new file mode 100644
index 000000000000..50a05c311f3d
--- /dev/null
+++ b/app-text/dictd/files/dictd.conf
@@ -0,0 +1,14 @@
+# Informational message
+site site.info
+
+# who's allowed. You might want to change this.
+access {
+ allow *
+}
+
+# Dictionaries are listed below. There are non here by default since you
+# need to install those seperately. The ebuilds for each dictionary will
+# append themselves to this file. If you add dictionaries by hand, make
+# sure that the following line IS NOT the last line in the file.
+
+#LASTLINE
diff --git a/app-text/dictd/files/digest-dictd-1.5.5 b/app-text/dictd/files/digest-dictd-1.5.5
new file mode 100644
index 000000000000..875329fc7519
--- /dev/null
+++ b/app-text/dictd/files/digest-dictd-1.5.5
@@ -0,0 +1 @@
+MD5 67307b6e5d0337f354b275c377506c63 dictd-1.5.5.tar.gz
diff --git a/app-text/dictd/files/site.info b/app-text/dictd/files/site.info
new file mode 100644
index 000000000000..23bfdeb61102
--- /dev/null
+++ b/app-text/dictd/files/site.info
@@ -0,0 +1,6 @@
+Welcome to your dictionary server dictd!
+
+This is an example site information file. It should contain information
+about any restricted databases and how users can obtain access. If may
+also contain other random data as you see fit.
+
diff --git a/app-text/dictd/files/svc-dictd b/app-text/dictd/files/svc-dictd
new file mode 100755
index 000000000000..9fd50862e381
--- /dev/null
+++ b/app-text/dictd/files/svc-dictd
@@ -0,0 +1,41 @@
+#!/bin/sh
+#RCUPDATE:3 4:75:This line is required for script management
+
+. /etc/rc.d/config/functions
+
+SERVICE=dictd
+opts="start stop"
+
+prepconfig() {
+ if [ ! -e /etc/dict/dictd.conf ]
+ then
+ eerror "dictd not started. Config file not found."
+ exit 1
+ fi
+ # if no dictionaries, skip startup.
+ HASDICTS=`tail -1 /etc/dict/dictd.conf | grep LASTLINE`
+ if [ -n "$HASDICTS" ]; then
+ eerror "No dictionaries installed. No sense in running."
+ exit 1
+ fi
+}
+
+start() {
+ ebegin "Starting supervised ${SERVICE}"
+ prepconfig
+ ln -sf ../services/${SERVICE} ${SVCDIR}/control/${SERVICE}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping supervised ${SERVICE}"
+ if [ -e ${SVCDIR}/control/${SERVICE} ]
+ then
+ /usr/bin/svc -dx ${SVCDIR}/control/${SERVICE}
+ rm ${SVCDIR}/control/${SERVICE}
+ fi
+ eend $?
+}
+
+doservice ${@}
+